#ifndef COEFFICIENTSELECTIONFORM_H
#define COEFFICIENTSELECTIONFORM_H

#include <QWidget>

namespace Ui {
class CoefficientSelectionForm;
}

class CoefficientSelectionForm : public QWidget
{
    Q_OBJECT

public:
    explicit CoefficientSelectionForm(QWidget *parent = nullptr);
    ~CoefficientSelectionForm();
protected:
    void showEvent(QShowEvent *event);
private slots:
    void on_radioButtonSinglePointCoefficient_toggled(bool checked);
    void on_radioButtonMultiPointCoefficient_toggled(bool checked);

    void on_pushButtonCalculate_clicked();
    void on_pushButtonSelectFile_clicked();

    void on_pushButtonConfirm_clicked();
    void on_pushButtonExit_clicked();
private:
    QString _jsonStr;
    Ui::CoefficientSelectionForm *ui;
    float _instrumentCoefficient;
};

#endif // COEFFICIENTSELECTIONFORM_H
